Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get deal

GET/workspaces/{organizationId}/deals/{dealId}
Path parameters
organizationIdstringrequired
dealIdstringrequired
Responses
200

Deal detail

dealobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
customerIdstringrequired
namestringrequired
stagestringrequired
Allowed:leadqualifiedproposalnegotiationwonlost
amountCentsnumber | nullrequired
currencystring | nullrequired
expectedCloseAtstring | nullrequired
descriptionstring | nullrequired
closedAtstring | nullrequired
archivedAtstring | nullrequired
contactIdsstring[]required
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/deals/string'
Response
{
  "deal": {
    "id": "string",
    "organizationId": "string",
    "customerId": "string",
    "name": "string",
    "stage": "lead",
    "amountCents": 0,
    "currency": "string",
    "expectedCloseAt": "string",
    "description": "string",
    "closedAt": "string",
    "archivedAt": "string",
    "contactIds": [
      "string"
    ],
    "createdAt": "string",
    "updatedAt": "string"
  }
}